! source file: /Users/nmengis/Documents/UVic_ESCM/2.10.backup/updates/02_CE_permafrost_merge_CMIP6forcing/source/ice/cpts.F
      subroutine dh (sal1d, Fx, Fmix, Fneti, ultnt, condb, Tw, Ts, Ti
     &,              Tbot, Tf, qi, hi, hs, dhib, subi, subs, dhit, dhs
     &,              dhif, dhsf, ni)

      return
      end

